baseURL: "http://blog.morgan.kr"
title: "Blog"
theme: "plain"

buildDrafts: false
buildFuture: false
buildExpired: false

params:
  env: production
  title: Morgan's Blog
  description: "Hi! I'm Morgan!"
  keywords: [Blog]
  author: Me
  DateFormat: "2006-01-02"
  assets:
    favicon: "https://blog.morgan.kr/favicon.ico"
    apple_touch_icon: "https://blog.morgan.kr/favicon.ico"
    safari_pinned_tab: "https://blog.morgan.kr/favicon.ico"
  mainSections:
    - posts
  label:
    icon: /favicon.png
    icon_inv: /favicon-inv.png
    iconHeight: 24
  buildDate: 03150229

#######################################

  defaultTheme: dark 
  disableThemeToggle: false
  ShowReadingTime: false
  ShowShareButtons: true
  ShowPostNavLinks: true
  ShowBreadCrumbs: false
  ShowCodeCopyButtons: true
  ShowWordCount: false
  ShowRssButtonInSectionTermList: false
  UseHugoToc: true
  disableSpecial1stPost: false
  disableScrollToTop: false
  comments: false
  hidemeta: false
  hideSummary: false
  showtoc: false
  tocopen: false
  #disableSpecial1stPost: true
  homeInfoParams:
      Title: Hi, I'm Morgan.
      Content: Student Developer
  homeInfoParamSimple: true

  socialIcons:
      - name: github
        url: "https://github.com/morgan9e"
      - name: email
        url: "mailto:me@morgan.kr"
      - name: git
        url: "https://git.morgan.kr"
#      - name: twitter
#        url: "https://twitter.com/morgan8w"
      - name: telegram
        url: "https://t.me/morgan9e"
  cover:
    hidden: true
    hiddenInList: true
    hiddenInSingle: true
  fuseOpts:
    isCaseSensitive: false
    shouldSort: true
    location: 0
    distance: 1000
    threshold: 0.4
    minMatchCharLength: 0
    keys: ["title", "permalink", "summary", "content"]

paginate: 100
menus:
  main:
    - identifier: posts
      name: Posts
      url: /posts/
      weight: 30

pygmentsUseClasses: true
markup:
  highlight:
    noClasses: false
    codeFences: true
    guessSyntax: true

#############################
  
permalinks:
  posts: /:year/:month/:title/

markup:
  highlight:
    anchorLineNos: false
    codeFences: true
    guessSyntax: false
    hl_Lines: ""
    hl_inline: false
    lineAnchors: ""
    lineNoStart: 1
    lineNos: false
    lineNumbersInTable: true
    noClasses: true
    noHl: false
    style: monokai
    tabWidth: 4
